Securities
India Securities
Call GET /india/securities on the Corpus API.
GET /india/securities
Call GET /india/securities on the Corpus API.
Category: India · Securities
Authentication
Send the provisioned API key in the X-API-KEY header.
Required scopes: india:read.
Request
| Name | In | Required | Type | Constraints | Description |
|---|---|---|---|---|---|
| isin | query | no | string | null | — | — |
| as_of | query | no | string | null | — | — |
| limit | query | no | integer | default 100; min 1; max 2000 | — |
| offset | query | no | integer | default 0; min 0 | — |
Example request
curl --request GET \
--url 'https://corpus-api.onera.app/india/securities?isin=INE002A01018&limit=100' \
--header "X-API-KEY: ${CORPUS_API_KEY}"
Responses
| Status | Description | Content type | Schema |
|---|---|---|---|
| 200 | Successful Response | application/json | SecuritiesResponse |
| 400 | Invalid parameter combination | application/json | ErrorResponse |
| 401 | Missing or invalid API key | application/json | ErrorResponse |
| 403 | Insufficient jurisdiction or scope | application/json | ErrorResponse |
| 404 | Unknown resource | application/json | ErrorResponse |
| 422 | Request schema validation failed | application/json | ErrorResponse |
| 429 | Rate limit exceeded | application/json | ErrorResponse |
| 503 | Source content is unavailable or still processing | application/json | ErrorResponse |
Representative 200 response
{
"securities": [
{
"isin": "INE002A01018",
"company_name": "string",
"nse_symbol": "RELIANCE",
"bse_code": "500325",
"is_active": true
}
],
"meta": {
"jurisdiction": "IN",
"count": 1,
"limit": 10,
"offset": 0,
"next_offset": null,
"as_of": "2025-12-31T23:59:59Z",
"normalization_version": "string",
"provenance": {}
}
}